
QGIS Application - Bug report #6728

DBManager: problem with dbf import

2012-11-19 06:20 AM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15892

Description

When I try to import a .dbf table into postgresql the DBmanager freezing.   

The table was correctly created but data are not imported.

Associated revisions

Revision 85faeb37 - 2012-11-30 11:24 AM - Giuseppe Sucameli

import vector layer: pass empty geometry column importing non-spatial table, do not deference null pointer (fix #6728)

History

#1 - 2012-11-28 04:29 PM - Giuseppe Sucameli

- Status changed from Open to Feedback

- Assignee set to Giuseppe Sucameli

Please, give more info on how to reproduce the problem and attach sample data.

#2 - 2012-11-30 01:32 AM - Luca Lanteri

- File esempio.DBF added

Simple Drag'n'drop the attached dbf into a PostGIS DB.

The table was created correctly but no data was imported. DB manager still freezed.

#3 - 2012-11-30 02:25 AM - Giuseppe Sucameli

- Status changed from Feedback to Closed

Fixed in changeset commit:"85faeb37a066692eb6e5c4a5aeac4c53f77f402e".

#4 - 2012-11-30 02:28 AM - Giuseppe Sucameli

- Resolution set to fixed

- Operating System deleted (WINDOWS)

- OS version deleted (XP)
Fixed for QGis Friendly Courses http://www.qgis.org/en/sponsorship/qgis-friendly-courses.html

Files

esempio.DBF 210 Bytes 2012-11-30 Luca Lanteri
